playMaker

Author Topic: PUN2 ecosystem import throwing errors  (Read 287 times)

TheNecron

  • Playmaker Newbie
  • *
  • Posts: 17
    • View Profile
PUN2 ecosystem import throwing errors
« on: August 31, 2019, 10:09:48 AM »
My fresh PUN2 import from ecosystem is throwing the following errors and im not sure why

Assets\PlayMaker PUN 2\Scripts\PlayMakerPunCallbacksProxy.cs(383,30): error CS0115: 'PlayMakerPunCallbacksProxy.OnPlayerEnteredRoom(Player)': no suitable method found to override

Assets\PlayMaker PUN 2\Scripts\PlayMakerPunCallbacksProxy.cs(396,30): error CS0115: 'PlayMakerPunCallbacksProxy.OnPlayerLeftRoom(Player)': no suitable method found to override

Assets\PlayMaker PUN 2\Scripts\PlayMakerPunCallbacksProxy.cs(448,30): error CS0115: 'PlayMakerPunCallbacksProxy.OnPlayerPropertiesUpdate(Player, Hashtable)': no suitable method found to override

Assets\PlayMaker PUN 2\Scripts\PlayMakerPunCallbacksProxy.cs(435,30): error CS0115: 'PlayMakerPunCallbacksProxy.OnMasterClientSwitched(Player)': no suitable method found to override

tcmeric

  • Beta Group
  • Hero Member
  • *
  • Posts: 758
    • View Profile
Re: PUN2 ecosystem import throwing errors
« Reply #1 on: August 31, 2019, 07:13:26 PM »
Do you have PUN2 from the asset store installed?

TheNecron

  • Playmaker Newbie
  • *
  • Posts: 17
    • View Profile
Re: PUN2 ecosystem import throwing errors
« Reply #2 on: September 01, 2019, 01:15:22 AM »
Do you have PUN2 from the asset store installed?
Yes, I've downloaded and imported PUN2